Subject: Notification Log MIB: implementation issues

From: Randy Presuhn <[email-masked]>
Date: Mon, 26 Mar 2001 14:43:00 -0800 (PST)

Hi -

Faye Ly gave me permission to forward these issues she
raised regarding the Notification Log MIB.

> Subject: Notification Log MIB: implementation issues
> Date: Mon, 26 Mar 2001 14:02:05 -0800
> Message-ID: <[email-masked]>
> From: "Faye Ly" <[email-masked]>
> To: "Randy Presuhn" <[email-masked]>
...
> Randy,
> 
> I am not sure if someone has already post this issue?  But I thought I
> stat what problems I see implementing RFC 3014:
> 
> 1. The retrieval of the notification log by the network manager is not
> efficient.  With current RFC 3014 definition, NMS will have to poll one
> entry from the nlmLogTable.  Extract the nlmLogName and nlmLogIndex in
> order to do a getBulk in the nlmLogVariableTable.  After exhausting all
> the entries sorted under the same nlmLogName and nlmLogIndex, NMS will
> have correlate the entries and display them.
> 
> This will not work if thousands of entries are logged and NMS will
> simply be sitting there forever trying to retrieve them all.
> 
> 2.  It is not clear how will a NMS retrieve only the NOTIFICATION that
> it failed to receive??  What LogName and LogIndex should it use?
> 
> Thanks a lot for your comments.
> 
> -faye
...

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------